Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1782 - pilot-link-devel - some include files are missing from RPM
Summary: pilot-link-devel - some include files are missing from RPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pilot-link
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-25 14:17 UTC by Nigel Metheringham
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-30 21:17:36 UTC


Attachments (Terms of Use)

Description Nigel Metheringham 1999-03-25 14:17:52 UTC
[There is no bugzilla component for pilot-link!!!]

Not all the pilot-link include files are included in the
RPM.

Here is a spec file I used to build a full version.  Only
differences are the changelog and the files list for the
devel package

Summary: Pilot Link - USR Pilot to Unix transfer utilities.
Name: pilot-link
Version: 0.9.0
Release: 5
Source:
ftp://ryeham.ee.ryerson.ca/pub/PalmOS/pilot-link.0.9.0.tar.gz
Patch0: pilot-link-perl-install.patch
Patch1: pilot-link.perl.patch
Patch2: pilotlink-PERL5.patch
Copyright: GPL
Group: Applications/Communications
BuildRoot: /var/tmp/%{name}-root

%description
This suite of tools allows you to upload and download
programs
and data files between a *nix machine and the USR Pilot.  It
has
a few extra utils that will allow for things like syncing
the
Pilot's calendar app with Ical.  Note that you might still
need
to consult the sources for pilot-link if you would like the
Python, Tcl, or Perl bindings.

%package devel
Requires: pilot-link
Summary: Pilot development header files.
Group: Development/Libraries

%description devel
This package contains the development headers that are used
to build the pilot-link package.  It also includes the
static
libraries necessary to build static pilot apps.

%prep
%setup -q -n pilot-link.%{PACKAGE_VERSION}
%patch0 -p1 -b .install
%patch1 -p1 -b .perl
#%patch2 -p1 -b .more-perl

%build
%ifarch armv4l
libtoolize --copy --force
%endif
./configure --prefix=/usr
make

%install
make install prefix=$RPM_BUILD_ROOT/usr
#make Perl5  prefix=/usr
#cd Perl5
#make install LD_RUN_PATH=/usr

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README

/usr/lib/libpisock.so.3.0.1
/usr/lib/libpisock.so.3
/usr/lib/libpisock.so

#/usr/lib/perl5/site_perl/i386-linux/auto/PDA/Pilot/Pilot.so
#/usr/lib/perl5/site_perl/i386-linux/auto/PDA/Pilot/Pilot.bs
#/usr/lib/perl5/site_perl/PDA/dump.pl
#/usr/lib/perl5/site_perl/PDA/Pilot.pm
#/usr/lib/perl5/site_perl/auto/PDA/Pilot/autosplit.ix
#/usr/lib/perl5/site_perl/i386-linux/auto/PDA/Pilot/.packlist

/usr/bin/addresses
/usr/bin/ccexample
/usr/bin/debugsh
/usr/bin/dlpsh
/usr/bin/getrom
/usr/bin/iambicexample
/usr/bin/ietf2datebook
/usr/bin/install-datebook
/usr/bin/install-memo
/usr/bin/install-todos
/usr/bin/install-user
/usr/bin/memos
/usr/bin/pi-csd
/usr/bin/pi-getram
/usr/bin/pi-getrom
/usr/bin/pi-nredir
/usr/bin/pi-port
/usr/bin/pilot-addresses
/usr/bin/pilot-clip
/usr/bin/pilot-debug
/usr/bin/pilot-dedupe
/usr/bin/pilot-file
/usr/bin/pilot-mail
/usr/bin/pilot-schlep
/usr/bin/pilot-undelete
/usr/bin/pilot-xfer
/usr/bin/read-expenses
/usr/bin/read-ical
/usr/bin/read-todos
/usr/bin/reminders
/usr/bin/sync-plan

/usr/man/man1/dlpsh.1
/usr/man/man1/ietf2datebook.1
/usr/man/man1/install-datebook.1
/usr/man/man1/install-memo.1
/usr/man/man1/install-user.1
/usr/man/man1/pilot-xfer.1
/usr/man/man1/read-ical.1

/usr/lib/pix/b1.gif
/usr/lib/pix/b2.gif
/usr/lib/pix/b3.gif
/usr/lib/pix/b4.gif
/usr/lib/pix/b5.gif
/usr/lib/pix/b6.gif
/usr/lib/pix/b7.gif
/usr/lib/pix/case.gif
/usr/lib/pix/case.xbm
/usr/lib/pix/casemask.xbm

%files devel
/usr/lib/libpisock.la
/usr/lib/libpisock.a
/usr/lib/libpicc.a
/usr/include/pi-address.h
/usr/include/pi-address.hxx
/usr/include/pi-appinfo.h
/usr/include/pi-appinfo.hxx
/usr/include/pi-args.h
/usr/include/pi-cmp.h
/usr/include/pi-config.h
/usr/include/pi-datebook.h
/usr/include/pi-datebook.hxx
/usr/include/pi-dlp.h
/usr/include/pi-dlp.hxx
/usr/include/pi-expense.h
/usr/include/pi-file.h
/usr/include/pi-iambicExpense.h
/usr/include/pi-iambicExpense.hxx
/usr/include/pi-inet.h
/usr/include/pi-inetserial.h
/usr/include/pi-macros.h
/usr/include/pi-mail.h
/usr/include/pi-memo.h
/usr/include/pi-memo.hxx
/usr/include/pi-money.h
/usr/include/pi-padp.h
/usr/include/pi-serial.h
/usr/include/pi-slp.h
/usr/include/pi-sockaddr.h
/usr/include/pi-socket.h
/usr/include/pi-source.h
/usr/include/pi-sync.h
/usr/include/pi-syspkt.h
/usr/include/pi-todo.h
/usr/include/pi-todo.hxx
/usr/include/pi-version.h

%changelog
* Thu Mar 25 1999 Nigel Metheringham
<Nigel.Metheringham@vdata.co.uk>
- Added in newish include files that had been left out of
rpm packaging

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl

Comment 1 Nigel Metheringham 1999-03-25 17:11:59 UTC
moved to a pilot-link component now that that component has been
added (see [Bug 1783])

Comment 2 Preston Brown 1999-03-30 21:17:59 UTC
fixed in pilot-link-0.9.0-7.


Note You need to log in before you can comment on or make changes to this bug.